Subject: Re: [PATCH] fast-import: fix over-allocation of marks storage

From: "brian m. carlson" <[email-masked]>
Date: Fri, 16 Oct 2020 02:37:35 +0000

On 2020-10-15 at 18:58:53, Jeff King wrote:
> On Thu, Oct 15, 2020 at 11:35:28AM -0700, Junio C Hamano wrote:
> > I do not know if an issue-tracker would have helped, though.  The
> > issue was discovered and discussed there the day before:
> > 
> >   https://lore.kernel.org/git/[email-masked]/
> 
> Doh, and I was so proud of myself for diagnosing and fixing it. ;)

Well, you did write a great commit message and patch with functional
tests.

> Looking over the thread, I don't see any problems pointed out (though
> as your diff below shows, the original patch missed the re-ordering
> required for the submodule mapping call).
> 
> So I'd prefer my patch because of that fix and because of the tests.

Yeah, I'm fine with taking your patch as well.  Thanks for the tests,
which I think help us avoid future regressions here.
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US